com.holonplatform.jpa.processors.internal

## Class AbstractJpaBeanPropertySetPostProcessor

- java.lang.Object
- - com.holonplatform.jpa.processors.internal.AbstractJpaBeanPropertySetPostProcessor

- All Implemented Interfaces:
    com.holonplatform.core.beans.BeanPropertySetPostProcessor, JpaBeanPostProcessor
  Direct Known Subclasses:
    JpaTableBeanPropertySetPostProcessor

      public abstract class AbstractJpaBeanPropertySetPostProcessor
      extends Object
      implements com.holonplatform.core.beans.BeanPropertySetPostProcessor, JpaBeanPostProcessor

  Base JPA `BeanPropertySetPostProcessor` which checks for JPA API availability before processing.
  Since:
    5.1.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.beans.BeanPropertySetPostProcessor

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJpaBeanPropertySetPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processBeanPropertySet(com.holonplatform.core.beans.BeanPropertySet.Builder<?,?> propertySet, Class<?> beanClass)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jpa.processors.JpaBeanPostProcessor

      `registerPostProcessors`

- - ### Constructor Detail

    - #### AbstractJpaBeanPropertySetPostProcessor

          public AbstractJpaBeanPropertySetPostProcessor()

  - ### Method Detail

    - #### processBeanPropertySet

          public void processBeanPropertySet(com.holonplatform.core.beans.BeanPropertySet.Builder<?,?> propertySet,
                                             Class<?> beanClass)

      Specified by:
        `processBeanPropertySet` in interface `com.holonplatform.core.beans.BeanPropertySetPostProcessor`

Copyright © 2019 The Holon Platform. All rights reserved.